Summary:	Online lexical reference system, ie. smart dictionary
Summary(pl.UTF-8):	System referencji słownikowych, czyli mądry słownik
Name:		WordNet
Version:	3.0
Release:	5
License:	Free to use (see COPYING)
Group:		Applications/Dictionaries
Source0:	http://wordnetcode.princeton.edu/3.0/%{name}-%{version}.tar.bz2
# Source0-md5:	89b4db7c6840ce69a8e315a3f83d996b
Patch0:		%{name}-FHS.patch
Patch1:		%{name}-shared.patch
Patch2:		%{name}-dictdir.patch
Patch3:		%{name}-build.patch
URL:		http://wordnet.princeton.edu/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	tcl-devel >= 8.4
BuildRequires:	tk-devel >= 8.4
BuildRequires:	xorg-lib-libXScrnSaver-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WordNet is an online lexical reference system. Word forms in WordNet
are represented in their familiar orthography; word meanings are
represented by synonym sets (synset) - lists of synonymous word forms
that are interchangeable in some context. Two kinds of relations are
recognized: lexical and semantic. Lexical relations hold between word
forms; semantic relations hold between word meanings.

%description -l pl.UTF-8
WordNet to system referencji słownikowych. Formy słów w WordNet są
reprezentowane w ich pisowni; znaczenia słów są reprezentowane przez
zestawy synonimów (synset) - listy form synonimów, które są zamienne w
pewnym kontekście. Są rozpoznawane dwa rodzaje relacji: leksykalna i
semantyczna. Leksykalne zachodzą między formami słów; semantyczne
między ich znaczeniami.

%package libs
Summary:	WordNet shared library
Summary(pl.UTF-8):	Biblioteka współdzielona WordNet
Group:		Libraries
Conflicts:	WordNet < 3.0-5

%description libs
WordNet shared library.

%description libs -l pl.UTF-8
Biblioteka współdzielona WordNet.

%package devel
Summary:	Header files and development documentation for WordNet
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do WordNet
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files and development documentation for WordNet.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do WordNet.

%package static
Summary:	Static WordNet library
Summary(pl.UTF-8):	Statyczna biblioteka WordNet
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static WordNet library.

%description static -l pl.UTF-8
Statyczna biblioteka WordNet.

%package browser
Summary:	WordNet browser
Summary(pl.UTF-8):	Przeglądarka WordNet
Group:		Applications/Dictionaries
Requires:	%{name} = %{version}-%{release}

%description browser
A graphical interface to the WordNet online lexical database.

%description browser -l pl.UTF-8
Graficzny interfejs do sieciowej bazy danych słownika WordNet.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CPPFLAGS="-DUSE_INTERP_RESULT %{rpmcppflags}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/doc/{html,ps,pdf}
# program not included
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/grind.1
# just a copy of tk headers
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/tk

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/wn
%{_mandir}/man1/wn.1*
%{_mandir}/man1/wnintro.1*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/dict

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libWN.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libWN.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libWN.so
%{_libdir}/libWN.la
%{_includedir}/wn.h
%{_mandir}/man3/binsrch.3*
%{_mandir}/man3/morph.3*
%{_mandir}/man3/wn*.3*
%{_mandir}/man5/cntlist.5*
%{_mandir}/man5/lexnames.5*
%{_mandir}/man5/senseidx.5*
%{_mandir}/man5/wn*.5*
%{_mandir}/man7/morphy.7*
%{_mandir}/man7/uniqbeg.7*
%{_mandir}/man7/wn*.7*

%files static
%defattr(644,root,root,755)
%{_libdir}/libWN.a

%files browser
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wishwn
%attr(755,root,root) %{_bindir}/wnb
%{_datadir}/%{name}/wnres
%{_mandir}/man1/wnb.1*
%changelog
* Sat Mar 03 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/WordNet.git;a=log;h=master

* Sat Mar 03 2018 Jakub Bogusz <qboosh@pld-linux.org> f88e32a
- separate -libs so whole dictionary is not required for development; release 5

* Sat Mar 03 2018 Jakub Bogusz <qboosh@pld-linux.org> fb01e61
- updated Source0 URL

* Tue Jun 03 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 177aea7
- rel 4; fix build with tcl/tk 8.6

* Sun Jun 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 06b8b3c
- tcl rebuild
- release 3 (by relup.sh)

* Mon Dec 19 2011 Jan Rękorajski <baggins@pld-linux.org> 91cca5e
- rel 2

* Sat Nov 01 2008 Jakub Bogusz <qboosh@pld-linux.org> 3cbdebe
- s/Source:/Source0:/ ; Source0-md5sum added

* Wed Jul 30 2008 Elan Ruusamäe <glen@pld-linux.org> 8ac1563
- drop something obvous from desc

* Thu Apr 17 2008 czarny <czarny@pld-linux.org> a64e4bd
- massive attack s/pld.org.pl/pld-linux.org/

* Thu Apr 17 2008 czarny <czarny@pld-linux.org> a2b2fd7
- make the browser actually find the WordNet dictionaries

* Tue Sep 04 2007 Jan Rękorajski <baggins@pld-linux.org> ecb961c
- up to 3.0

* Tue Sep 04 2007 Jan Rękorajski <baggins@pld-linux.org> 9520e49
- up to 3.0

* Tue Sep 04 2007 Jan Rękorajski <baggins@pld-linux.org> 0ddc29c
- outdated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1534756
- up to 1.7.1
- correted %doc, (rm gzip -9v)

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7935c80
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 3121ef5
- orphaned, outdated

* Tue Jan 31 2006 Jakub Bogusz <qboosh@pld-linux.org> cc7b4b1
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Sun Dec 18 2005 Elan Ruusamäe <glen@pld-linux.org> 0d60a8e
- updated to 2.1

* Sun Dec 18 2005 Elan Ruusamäe <glen@pld-linux.org> a39620e
- outdated

* Sun Dec 18 2005 Elan Ruusamäe <glen@pld-linux.org> 8007107
- updated to 2.1
- ugly wnb got separate package -browser due tcl/tk deps

* Fri Dec 09 2005 Jan Rękorajski <baggins@pld-linux.org> 9a0f2ac
- remaining pl translations, updated Groups, cosmetics

